Type to search.

Set attack discovery alerts workflow status

Base URL
https://{kibana_url}
  • POST /api/detection_engine/attacks/status
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Set the workflow status of one or more attack discovery alerts by IDs, optionally cascading the status to their related detection alerts.

Request body

An object containing the desired status and explicit attack ids

One of:
status: closed
status enum required
Values: closed
ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

reason union oneOf

The reason for closing the alerts. Can be one of following predefined reasons: [false_positive, duplicate, true_positive, benign_positive, automated_closure, other] or a custom reason provided by the user through the advanced settings.

Values: false_positive duplicate true_positive benign_positive automated_closure other

When true, the change is also applied to detection alerts related to the attacks via kibana.alert.attack_discovery.alert_ids.

Responses

Successful response

application/json

Response Type: object